close all, clear all, clc

load('ANN.mat')  % load the neural network from the disk

%% Compute the Avo by simulationg the ANN for one specific input combination
in=[50, 2, 4, 50]'
Avo = net(in)

%% Compute Avo for more input combinations
% Plot a 3D graph
% as a function os the first two input parameters 
% while the last two input parmeters are kept constant
% to their middle values (3.67 and 47.5 respectively)

load inputs;
in = inputs';
load avo_target;

IB=in(1,:);
W12=in(2,:);
inn3=3.67*ones(1,800);
inn4=47.5*ones(1,800);

inn=[IB;W12;inn3;inn4];
out=net(inn);

figure
plot3(IB,W12,out,'.')
title('Avo simulated with the ANN, only for the existing input combinations')
grid on
xlabel('IB'), ylabel('W12'), zlabel('Avo')

%%generate more points for the first 2 variables using LHS
IBmin=25; IBmax=65; W12min=0.6; W12max=3.5;
NoPt=35000;
x=lhsdesign(NoPt,2)';

IB=IBmin+(IBmax-IBmin)*x(1,:);
W12=W12min+(W12max-W12min)*x(2,:);
inn3=3.67*ones(1,NoPt);
inn4=47.5*ones(1,NoPt);
inn=[IB;W12;inn3;inn4];
out=net(inn);

figure
plot3(IB,W12,out,'.')
title('Avo simulated with the ANN, for far more input combinations produced with LHS')
grid on
xlabel('IB'), ylabel('W12'), zlabel('Avo')
